#include <iostream>
#include <cassert>

using namespace std;

const int MAXN = 1000000000;
const int MINN = 1;

long long solve(int a, int b) {
   long long res=0;
   
   for (int i=a; i<=b; ++i) for (int j=1; j<=i; ++j) if (i%j==i/j) ++res;
   
   return res;
}

int main(){
//   freopen("equal2.in","rt",stdin);
//   freopen("equal2.out","wt",stdout);
   
   int a, b;
   cin >> a >> b;
   
   assert( MINN <= a && a <= b && b <= MAXN );
   
   cout << solve(a,b);
   
   return 0;   
}
